Skip to content

Authentication and sessions

Sign in, inspect the current principal, manage MFA and passwords, and switch workspaces.

Operation Request
Create Session POST /api/v1/auth/login
Request Password Reset POST /api/v1/auth/password-reset
Complete Password Reset POST /api/v1/auth/password-reset/complete
Accept Account Invitation POST /api/v1/auth/invitations/accept
Get Current Principal GET /api/v1/auth/principal
Switch Current Workspace POST /api/v1/auth/workspace
Revoke Current Session POST /api/v1/auth/logout
Reauthenticate Session POST /api/v1/auth/reauthenticate
Change Current Password POST /api/v1/auth/password
Enroll Current Principal Mfa POST /api/v1/auth/mfa/enrollment
Confirm Current Principal Mfa POST /api/v1/auth/mfa/enrollment/confirm
Image preview